org.richfaces.fragment.calendar

## Class TimeSpinner.TimeSignSpinner

- java.lang.Object
- - org.richfaces.fragment.calendar.TimeSpinner<TimeSpinner.TimeSign>
  - - org.richfaces.fragment.calendar.TimeSpinner.TimeSignSpinner

- Enclosing class:
    TimeSpinner<T>

      public static class TimeSpinner.TimeSignSpinner
      extends TimeSpinner<TimeSpinner.TimeSign>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.calendar.TimeSpinner

      `TimeSpinner.TimeSign, TimeSpinner.TimeSignSpinner, TimeSpinner.TimeSpinner12, TimeSpinner.TimeSpinner24, TimeSpinner.TimeSpinner60`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSpinner.TimeSignSpinner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimeSpinner.TimeSign` | `getValue()` Returns value set in this spinner
    `void` | `setValueByButtons(TimeSpinner.TimeSign value)` Sets spinner's value by clicking on the buttons

    - ### Methods inherited from class org.richfaces.fragment.calendar.TimeSpinner

      `getButtonDownElement, getButtonUpElement, getInput, getRootElement, isSameValueAreadySet, isVisible, setValueBy, setValueByTyping, waitUntilIsVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSpinner.TimeSignSpinner

          public TimeSpinner.TimeSignSpinner()

  - ### Method Detail

    - #### getValue

          public TimeSpinner.TimeSign getValue()

      Description copied from class: `TimeSpinner`
      Returns value set in this spinner
      Specified by:
        `getValue` in class `TimeSpinner<TimeSpinner.TimeSign>`
      Returns:

    - #### setValueByButtons

          public void setValueByButtons(TimeSpinner.TimeSign value)

      Description copied from class: `TimeSpinner`
      Sets spinner's value by clicking on the buttons
      Specified by:
        `setValueByButtons` in class `TimeSpinner<TimeSpinner.TimeSign>`
      Parameters:
        `value` - value to be set

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.